# Marionnet filesystem's configuration file.
# The full Bash syntax may be used here.
#
# Some assignments used in this template are kept
# from our old machine-pinocchio-14787

# The output of the command `md5sum' on the filesystem:
MD5SUM=666a2df1265ec6954ee43ad0f321cfe1

# The output (first field) of the command `sum' on the filesystem:
SUM=37127

# The creator of the filesystem:
AUTHOR="Jean-Vincent Loddo"

# The creation date:
DATE=2013-10-04

# The modification time (MTIME). Because of a user-mode-linux's protection
# mechanism, this setting is very important for sharing marionnet's projects
# between different installations. For instance, if you open on your laptop
# a project created at the university, the involved filesystems must be the
# same, of course, but they must also have exactly the same MTIME.
#
# Thus, it's a good idea to run this post-installation command:
#
# sudo touch -d @$MTIME $FILESYSTEM
#
# where $MTIME is the value indicated below, and $FILESYSTEM is the location
# of the filesystem image on your disk.
#
# On the other hand, if you are providing a new filesystem, you can set this
# variable (once your filesystem is completely finished and stable) simply
# running the command:
#
# stat -c "%Y" $FILESYSTEM
#
MTIME=1380906477

# Supported kernel(s) with their console-related parameters (according to the
# content of /etc/inittab). The variable SUPPORTED_KERNELS may contain a list
# of statements of the form:
#
#   KERNEL [PARAMS]  [KERNEL [PARAMS]]..
#
# where
#
#   KERNEL ::= "[" EPITHET "]"
#            | "/" REGEXP  "/"
#
#   PARAMS is a string
#   EPITHET
#     is the suffix (the substring after "linux-") of an available
#     kernel in a "kernels/" directory
#   REGEXP is a regular expression (possibly denoting some epithets)
#
# Several statements KERNEL [PARAMS] may be specified. Note that if you are
# using the += assignment operator to catenate statements, please dont forget
# the blank character to separe words (example: SUPPORTED_KERNELS+=" ...").
#
# Examples:
# SUPPORTED_KERNELS='[2.6.18-ghost] con=none ssl=xterm console=ttyS0'
# SUPPORTED_KERNELS+=' /3[.]2[.]..*/ con0=xterm'
#
SUPPORTED_KERNELS='/3.2.48/'

# X11 compliance. The possible (multiple) choices are "xhosted" and "xnested".
# The value "none" is equivalent to leave this variable empty, which means
# that the filesystem doesn't have the support to display X programs.
#
# Examples:
# X11_SUPPORT+="xhosted"
# X11_SUPPORT+="xnested"
# X11_SUPPORT="none"
#
X11_SUPPORT="none"

# Minimum size in Mb of RAM to allocate to this virtual machine.
# For machines with graphical programs it may be suitable to set
# at least 48 Mb of RAM.
MEMORY_MIN_SIZE=16

# Default value proposed to the user in the machine's dialogs.
MEMORY_SUGGESTED_SIZE=24

# Support for multiple consoles.
MULTIPLE_CONSOLES_SUPPORT=true

# Sorted list of available binaries.
BINARY_LIST='acpid addgroup add-shell adduser adjtimex agentxtrap ar arp arping ash awk babeld base64 basename bash beep bgpd blkid blockdev bootchartd brctl bridge bunzip2 busybox bzcat bzcmp bzdiff bzegrep bzfgrep bzgrep bzip2 bzip2recover bzless bzmore cal cat catv chat chattr chgrp chmod chown chpasswd chpst chroot chrt chvt cksum clear cmp comm conspy cp cpio crond crontab cryptpw ctstat cttyhack curl curlftpfs cut date dc dd deallocvt delgroup deluser depmod devmem df dhclient dhcpd dhcprelay diff dig dirname dmesg dnsd dnsdomainname dnssec-dsfromkey dnssec-keyfromlabel dnssec-keygen dnssec-signzone dos2unix du dumpkeys dumpkmap dumpleases echo ed egrep eject em encode_keychange env envdir envuidgid ether-wake ethghost ethtool expand expr fakeidentd false fbset fbsplash fdflush fdformat fdisk fgconsole fgrep filan file find findfs flex++ flock fold free freeramdisk fsck fsck.minix fsync ftpd ftpget ftpput fuser fusermount gdbus gdbus-codegen genl getconf getkeycodes getopt getty gio-querymodules glib-compile-schemas grep groups gsettings gunzip gzip halt hd hdparm head hexdump host hostid hostname httpd hush hwclock iconv id ifconfig ifconfig.busybox ifdown ifenslave ifplugd ifstat ifup inetd init insmod install ionice iostat ip ip6tables ip6tables-restore ip6tables-save ipaddr ipcalc ipcrm ipcs iplink iproute iprule iptables iptables-restore iptables-save iptables-xml iptunnel isisd kbd_mode kbd_mode kbdrate kill killall killall5 klogd last ldconfig ldd less lighttpd lighttpd-angel links linux32 linux64 ln lnstat loadfont loadkeys loadkmap loadunimap logger login logname logread losetup lpd lpq lpr ls lsattr lsmod lsof lspci lsusb lwresd lzcat lzma lzop lzopcat makedevs makemime man mapscrn md5sum mdev mesg microcom mkdir mkdosfs mke2fs mkfifo mkfs.ext2 mkfs.minix mkfs.vfat mknod mkpasswd mkswap mktemp modinfo modprobe more mount mountpoint mpstat mt mv named named-checkconf named-checkzone named-compilezone nameif nanddump nandwrite nano nbd-client nc ncat ncftp ncftpbatch ncftpget ncftpls ncftpput ncftpspooler ndiff net-snmp-config net-snmp-create-v3-user netstat nice nmap nmeter nohup nping nslookup nstat nsupdate ntpd ntpdate ntpdc ntpq od openvt ospf6d ospfclient ospfd passwd patch pcregrep pcretest pgrep pidof ping ping6 pipe_progress pivot_root pkill pmap popmaildir poweroff powertop printenv printf procan ps pscan psfaddtable psfgettable psfstriptable psfxtable pstree pwd pwdx radvd radvdump raidautorun rdate rdev readahead readlink readprofile realpath reboot reformime remove-shell renice reset resize resizecons rev ripd ripngd rm rmdir rmmod rndc rndc-confgen route routef routel rpcbind rpcgen rpcinfo rpm rpm2cpio rsync rtacct rtcwake rtmon rtpr rtstat runlevel run-parts runsv runsvdir rx scp script scriptreplay sed sendmail seq setarch setconsole setfont setfont setkeycodes setleds setlogcons setmetamode setserial setsid setuidgid sftp sh sha1sum sha256sum sha3sum sha512sum showconsolefont showkey sh.prebash slattach sleep slogin smemcap snmpbulkget snmpbulkwalk snmpd snmpdelta snmpdf snmpget snmpgetnext snmpinform snmpnetstat snmpset snmpstatus snmptable snmptest snmptranslate snmptrap snmptrapd snmpusm snmpvacm snmpwalk sntp socat softlimit sort split ss ssh ssh-add ssh-agent sshd sshfs ssh-keygen ssh-keyscan start-stop-daemon stat strace strace-log-merge strings stty su sudo sudoedit sudoreplay sulogin sum sv svlogd swapoff swapon switch_root sync sysctl syslogd tac tail tar tc tcpdump tcpsvd tee telnet telnetd test tftp tftpd time timeout top touch tr traceroute traceroute6 true tty ttysize tunctl ubiattach ubidetach ubimkvol ubirmvol ubirsvol ubiupdatevol udhcpc udhcpd udpsvd umount uname uncompress unexpand unicode_start unicode_stop uniq unix2dos unlzma unlzop unxz unzip uptime users usleep uudecode uuencode vconfig vi visudo vlock volname wall watch watchdog watchquagga wc wget which who whoami whois xargs xtables-multi xz xzcat yes zcat zcip zcmp zdiff zebra zegrep zfgrep zgrep zhead zless ztail'
